/*******************************************************************************
 * SoundNodeAttenuation generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SoundNodeAttenuation extends SoundNode
    native(Sound)
    editinlinenew
    dontsortcategories(Attenuation,LowPassFilter)
    hidecategories(Object,Object);

enum SoundDistanceModel
{
    ATTENUATION_Linear,
    ATTENUATION_Logarithmic,
    ATTENUATION_Inverse,
    ATTENUATION_LogReverse,
    ATTENUATION_NaturalSound,
    ATTENUATION_MAX
};

enum ESoundDistanceCalc
{
    SOUNDDISTANCE_Normal,
    SOUNDDISTANCE_InfiniteXYPlane,
    SOUNDDISTANCE_InfiniteXZPlane,
    SOUNDDISTANCE_InfiniteYZPlane,
    SOUNDDISTANCE_MAX
};

var(Attenuation) bool bAttenuate;
var(Attenuation) bool bSpatialize;
var(LowPassFilter) bool bAttenuateWithLPF;
var(Attenuation) float dBAttenuationAtMax;
var(Attenuation) float OmniRadius;
var(Attenuation) SoundNodeAttenuation.SoundDistanceModel DistanceAlgorithm;
var(Attenuation) SoundNodeAttenuation.ESoundDistanceCalc DistanceType;
var(Attenuation) float RadiusMin;
var(Attenuation) float RadiusMax;
var(LowPassFilter) float LPFRadiusMin;
var(LowPassFilter) float LPFRadiusMax;

defaultproperties
{
    bAttenuate=true
    bSpatialize=true
    dBAttenuationAtMax=-60.0
    RadiusMin=400.0
    RadiusMax=4000.0
    LPFRadiusMin=3000.0
    LPFRadiusMax=6000.0
}